text-show-3.8.5: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.GHC.StaticPtr

Contents

- Orphan instances

Description

`TextShow` instance for `StaticPtrInfo`. Only provided if using `base-4.8.0.0` or later.

Since: 2

# Orphan instances

TextShow StaticPtrInfo Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> StaticPtrInfo -> Builder Source #

showb :: StaticPtrInfo -> Builder Source #

showbList :: [StaticPtrInfo] -> Builder Source #

showtPrec :: Int -> StaticPtrInfo -> Text Source #

showt :: StaticPtrInfo -> Text Source #

showtList :: [StaticPtrInfo] -> Text Source #

showtlPrec :: Int -> StaticPtrInfo -> Text Source #

showtl :: StaticPtrInfo -> Text Source #

showtlList :: [StaticPtrInfo] -> Text Source #